import request from '@/utils/request'

// 查询承诺书pad设备列表
export function listPad(query) {
  return request({
    url: '/system/pad/list',
    method: 'get',
    params: query
  })
}

// 查询承诺书pad设备详细
export function getPad(padId) {
  return request({
    url: '/system/pad/' + padId,
    method: 'get'
  })
}

// 新增承诺书pad设备
export function addPad(data) {
  return request({
    url: '/system/pad',
    method: 'post',
    data: data
  })
}

// 修改承诺书pad设备
export function updatePad(data) {
  return request({
    url: '/system/pad',
    method: 'put',
    data: data
  })
}

// 删除承诺书pad设备
export function delPad(padId) {
  return request({
    url: '/system/pad/' + padId,
    method: 'delete'
  })
}

// 导出承诺书pad设备
export function exportPad(query) {
  return request({
    url: '/system/pad/export',
    method: 'get',
    params: query
  })
}